import { PluginFunc } from '../index'

declare const plugin: PluginFunc
export = plugin

declare module 'xlink-jssdk' {
  interface XClient {
    publishAttr (params: { deviceId: number }): Promise<unknown>
    unsubPublishAttr (params: { deviceId: number }): Promise<unknown>
    eventReport (params: { deviceId: number, eventName: string }): Promise<unknown>
    unsubEventReport (params: { deviceId: number, eventName: string }): Promise<unknown>
    serviceInvoke (params: { deviceId: number, serviceName: string }): Promise<unknown>
    unsubServiceInvoke (params: { deviceId: number, serviceName: string }): Promise<unknown>
    log (params: { deviceId: number }): Promise<unknown>
    unsubLog (params: { deviceId: number }): Promise<unknown>
  }
}
