import { PluginFunc } from '../index'

declare const plugin: PluginFunc
export = plugin

interface DataPointData {
  index: number,
  type: number,
  value: any
}
interface DataPointOption {
  isTemplate: boolean,
  unPush: boolean,
  keepAlive: boolean
}
declare module 'xlink-jssdk' {
  interface XClient {
    loginDevice (params: {
      productId: string;
      mac: string;
      firmwareMode?: string;
      mcuMode?: string;
      mcuVersion?: string;
      ip?: string;
      autoActivate?: boolean
    }): void
    verifySubscribeResult (params: {
      deviceId: number,
      appId: number,
      ticket?: number,
      retCode?: number,
    }): void
    appSubscribeDev (params: {
      deviceId: number,
      ticket?: number,
    }): void
    reportDataPoints (deviceId: number, data: Array<DataPointData>, option?: Partial<DataPointOption>): void
  }
}
